From d88218546a4882f90d1aad9ac675fcfef64b1d6b Mon Sep 17 00:00:00 2001
From: grizzlyuser <grizzlyuser@protonmail.com>
Date: Aug 15 2026 17:11:01 +0000
Subject: [PATCH 2/12] libre/iceweasel: 150.0.2-1, sync with changes from upstreams


Also adjust the patching to account for some new domain names

---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 5adb47b..8750a5c 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -72,7 +72,7 @@
 
 pkgname=iceweasel
 epoch=1
-pkgver=150.0.1
+pkgver=150.0.2
 pkgrel=1
 _brandingver=149.0
 _brandingrel=1
@@ -196,7 +196,7 @@ validpgpkeys+=(
   BFA8008A8265677063B11BF47171986E4B745536 # Andreas Grapentin (branding source-ball)
   3954A7AB837D0EA9CFA9798925DB7D9B5A8D4B40 # bill-auger        (libre source-ball)
 )
-sha256sums=('2acffa708d924f5c81ecf08ce99dd9e0cfca2f3797f1a7791f154ed0365f6eec'
+sha256sums=('e3830b20cdf660a9cdec6e4d2326d7ced07333d9746df028cfc00c8216acbec9'
             'SKIP'
                                                                                 # $pkgname-symbolic.svg
             '73c06fe38a7663d7dc395e3d037b4375ff102917509ad6290a00d40bbac99f62'  # $pkgname.desktop
@@ -211,7 +211,7 @@ sha256sums_i686=('65395a49fd3d998f7e06a430bdd656ad453254dafcc34e21ec7931902d8c18
                  'ed3bb281697af7c4353a34067ffb4b18a971d40757bef2d6af3c8bf2d28d42d1'  # firefox-111.0.1-fdlibm.patch
                  '2fb39374fd3d80eea9e346032a2a4b2bc2e357dee7380855b24bcf19b1335d06'  # fix-i686-build-moz-1792159.patch
                  'c3ce181fbb0142055aa6dd17f3cda2ba6a1e54d7a689a8c6e9cce76aa40e6544') # fix-i686-xsimd-incomplete.patch
-b2sums=('d70920a86e784fe971756604237c1dacba5fc7d9cf346634ac897ea09f7fa92b8b243076fa9d7e98acc0cf79d88b9871145a8878b959e3130ddad5544e6b4b28'
+b2sums=('71ceb820171d3cbd4b6a0a13bb081d821b2361a8e5503b967aaa16d676e4f0dd718ce8d6b9b488449b5901d985afe6d21a49297293f97a30431b799092404ee6'
         'SKIP'
                                                                                                                                              # $pkgname-symbolic.svg (deleted)
         '79fd40b2e19a6f4f5fef4b12d19d12b15122feb3f813cc6ca892ba0d39167fb1efc6ce2da5c87b8ffbcc6dcc27488f5262fd21a308d48c0bfee189add3917029'   # $pkgname.desktop
@@ -270,18 +270,18 @@ mksource+=( https://repo.parabola.nu/other/iceweasel/${pkgname}_${_brandingver}-
             process-json-files.py )
 mksha256sums+=( 'a73e8dd2c8278a8022567193fa56a1935d3cdf15981bac9a7ca22563cb292d4f'   # *.branding.tar.xz
                 'SKIP'
-                '1b9af585ef14100338bbeb612f0febc6259308c760a05f0f8930bb849edd1fce'   # 9001-FSDG-sync-remote-settings-with-local-dump.patch
+                '2d0846c9f966fcc5efb34f5ca0cdd21dd284b0344df9557d286e8cda98fb3b1b'   # 9001-FSDG-sync-remote-settings-with-local-dump.patch
                 'da6cf41706c7e399a6b2d51cd3ec73ead08203f365e7b76a6dcc3f741edba561'   # 9002-FSDG-preference-defaults.patch
                 'b8880edefbee77c5ed51830d3d2c4d8f7eb749dba5ae53828ffab4d489142aff'   # 9003-FSDG-urihandlers.patch
                 'e49b66abd14bb9d5b0c3aec0a8ee01fc057c38c30a2f0a5d300ecdad0da07f0f'   # 9004-FSDG-misc.patch
-                'e3fbe2f242afd5bb7ad23c0be69178437e26c664fc92faaaa5fca3de93f4c30c' ) # process-json-files.py
+                '8ec0bc73034e38295494856bb1ae8ab7e225b2450189a5a01172b8a12b3c2516' ) # process-json-files.py
 mkb2sums+=( '26b63e9d4f0bc072c96bdae094bf399804b9b2472593ed15bead45d1c319823ad371b46c9e078c5fb0c546f898bf73cc2f45f8c92bc43c6d15047055ab026ca3'   # *.branding.tar.xz
             'SKIP'
-            '7f5b944c8784310320e8294e5cec664f53b54db9272461d0411c19a0f2b1f8ce7b1e487a0ad9a0c6465a7effbef6172d9b08ebe776aa9c001c42fdf87744aeb3'   # 9001-FSDG-sync-remote-settings-with-local-dump.patch
+            'a2ea53346ec29a43ae29da118a6287f85a51806f8d33c64b6df190ff5c63fabe3681f01a16174b029e8942619e4c77b8ae5dc66ed8edba5ea9cb42cded317c03'   # 9001-FSDG-sync-remote-settings-with-local-dump.patch
             '2c523aa33dcbc5bd902a1dd971b1b13a61c69bff8c40bafb48915b0ad77d4483e0b602d0c7bbda6b1cfc8bbd9109fa7cf4d117f6a48f62a630a93bff8f52fe50'   # 9002-FSDG-preference-defaults.patch
             'fbdda325966c8a7e887f9424a62eacd30281c425f075a05a2f7fabd310a039b3af246e896db8dba7ffbfe8923bc7ef9beb41d9d3b659587bc98f41642a51bece'   # 9003-FSDG-urihandlers.patch
             '68911b711f4f0eec11c28e083bdc2bfd7fc7d03e35fc66d24c90fa38e14d3db1d04570d3ab0047872b5f16c90354f3ddba43565f9773a2b2986933605124a693'   # 9004-FSDG-misc.patch
-            '5b730a5e1eab388d1289e208610794b8b4393a93e1244d25bf7c0e69354341eed4cd3f5f85845efbd7cb703aa1d4cb6bdaf3e0413cc63355759a659920c4926c' ) # process-json-files.py
+            '950d13abed98ccb939479859e249dd8a641537ee056f8e2dff1c3e4f608f1c6af450d666f2e3910f4f7daae43b2838e065591accb6a8a7b86da770dcb1f3999b' ) # process-json-files.py
 source=( https://repo.parabola.nu/other/${pkgname}/${pkgname}-${pkgver}.tar.zst{,.sig}
          ${source[*]:${_N_MKSOURCES}} )
 sha256sums=( '11e26032db22fabb7562f239859d78d4cfd85a73796a7af840a3a4444c050e43' # libre source-ball
@@ -389,24 +389,24 @@ _check_patching() {
   pushd "${srcdir}"/firefox-${pkgver} > /dev/null
 
   # Remote Settings
-  local settings_server_regex='firefox\.settings\.services\.(mozilla|allizom)\.(com|org)'
+  local settings_server_regex='firefox.?settings.*\.(mozilla|allizom)(-backup)?\.(com|org)'
   local settings_err_msg="ERROR: 9001-FSDG-sync-remote-settings-with-local-dump.patch needs reworking"
   ! grep -qrE $settings_server_regex || ! echo "${settings_err_msg}" || return 1
 
   # Model Hub
-  local model_hub_server_regex='model-hub.(mozilla|allizom).org'
+  local model_hub_server_regex='model-hub.(mozilla|allizom)(-backup)?.org'
   local model_hub_err_msg="ERROR: Found ${model_hub_server_regex} in the sources. 9002-FSDG-preference-defaults.patch needs reworking"
   ! grep -qrE $model_hub_server_regex || ! echo "${model_hub_err_msg}" || return 1
 
   # Merino
-  local merino_server_regex='.*merino.*(\.(mozilla|allizom)\.com|mozgcp\.net|mozilla\.fastly-edge\.com|edgecompute\.app)'
+  local merino_server_regex='.*merino.*(\.(mozilla|allizom)(-backup)?\.com|mozgcp\.net|mozilla\.fastly-edge\.com|edgecompute\.app)'
   local merino_err_msg="ERROR: Found ${merino_server_regex} in the sources. 9002-FSDG-preference-defaults.patch needs reworking"
   ! grep -qrE $merino_server_regex || ! echo "${merino_err_msg}" || return 1
 
   # services.addons.mozilla.org API endpoint
-  local amo_api_endpoint='services.addons.mozilla.org'
+  local amo_api_endpoint='services.addons.mozilla(-backup)?.org'
   local amo_err_msg="ERROR: 9002-FSDG-preference-defaults.patch needs reworking: AMO API endpoint hostname found in source tree"
-  ! grep -qr $amo_api_endpoint || ! echo "${amo_err_msg}" || return 1
+  ! grep -qrE $amo_api_endpoint || ! echo "${amo_err_msg}" || return 1
 
   # URI protocol handlers
   local uri_handlers=uriloader/exthandler/HandlerList.sys.mjs
diff --git a/libre/iceweasel/process-json-files.py b/libre/iceweasel/process-json-files.py
index 9e24167..9f2586c 100644
--- a/libre/iceweasel/process-json-files.py
+++ b/libre/iceweasel/process-json-files.py
@@ -246,6 +246,14 @@ class SearchConfigV2(RemoteSettings):
         return engine_orders
 
 
+class MozEssentialDomainFallbacks(EmptyRemoteSettings):
+    JSON_PATHS = (
+        RemoteSettings.DUMPS_PATH_ABSOLUTE /
+        'main/moz-essential-domain-fallbacks.json',
+    )
+    OUTPUT_PATH = JSON_PATHS[0]
+
+
 class SearchConfigOverridesV2(EmptyRemoteSettings):
     JSON_PATHS = (
         RemoteSettings.DUMPS_PATH_ABSOLUTE /
@@ -344,6 +352,7 @@ class TopSites(RemoteSettings):
 # To reflect the latest timestamps, Changes class should always come after
 # all other RemoteSettings subclasses
 processors = (
+    MozEssentialDomainFallbacks,
     SearchConfigOverridesV2,
     SearchConfigV2,
     SearchDefaultOverrideAllowlist,

